InboxedUp - API
  1. Mailboxes
InboxedUp - API
  • Account
    • Get account overview
      GET
  • Subscriptions
    • List active subscriptions
      GET
    • Update subscription notes
      PATCH
  • Domains
    • Submit domains
      POST
    • List domains
      GET
    • Get domain
      GET
    • Remove domain
      DELETE
    • Verify domain NS propagation
      POST
    • Get batch status
      GET
  • Mailboxes
    • Request mailboxes
      POST
    • List mailbox requests
      GET
    • Get mailbox request
      GET
  • Schemas
    • Error
    • MailboxEntry
  1. Mailboxes

List mailbox requests

GET
/mailboxes
Returns a paginated list of all your mailbox provisioning requests.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Query Params

Responses

🟢200
application/json
Paginated list of mailbox requests
Body

🟠401
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/mailboxes?status&type&page&limit' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success
{
    "success": true,
    "data": [
        {
            "id": "req_abc123",
            "type": "MICROSOFT",
            "domain": "yourdomain.com",
            "domainId": "dom_abc123",
            "domainStatus": "ACTIVE",
            "status": "COMPLETED",
            "createdAt": "2026-03-01T10:00:00.000Z",
            "mailboxes": [
                {
                    "firstName": "John",
                    "lastName": "Smith",
                    "mailboxUsername": "john.smith",
                    "domainName": "yourdomain.com"
                }
            ]
        }
    ],
    "meta": {
        "page": 1,
        "limit": 20,
        "total": 1
    }
}
Modified at 2026-03-12 08:23:25
Previous
Request mailboxes
Next
Get mailbox request
Built with